# Categories that GitLab has offerings in. Drives /handbook/product/categories

# FORMAT
#
# category_slug:
#   name: # "name"
#  stage: # stage_slug
#  alt_link: # link towards category epic or marketing product page
#  documentation: # link towards documentation
#  vision: # link towards category epic for stage vision
#  description: |
#    # Category description
#  roi: # true/false
#  available: # date YYYY-MM-DD
#  viable: # date YYYY-MM-DD
#  complete: # date YYYY-MM-DD
#  lovable: # date YYYY-MM-DD

# Manage

cycle_analytics:
  name: "Cycle Analytics"
  stage: manage
  alt_link: /product/cycle-analytics/
  marketing_page: /product/cycle-analytics/
  documentation: https://docs.gitlab.com/ee/user/project/cycle_analytics.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/164
  description: "Measure so you can manage. Cycle analytics give you data on how fast you are cycling and what steps are slowing you down so you can optimize."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-05-22
  lovable: 2019-12-22

devops_score:
  name: "DevOps Score"
  stage: manage
  alt_link: https://docs.gitlab.com/ee/user/instance_statistics/convdev.html
  documentation: https://docs.gitlab.com/ee/user/instance_statistics/convdev.html
  description: "Get an overview of how well your organization is adopting DevOps and to see the impact on your velocity."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-12-22
  lovable:

audit_management:
  name: "Audit Management"
  stage: manage
  alt_link: https://docs.gitlab.com/ee/administration/audit_events.html
  documentation: https://docs.gitlab.com/ee/administration/audit_events.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/642
  description: "Track important events for review and compliance such as who performed certain actions and the time they happened."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-12-22
  lovable:

authentication_and_authorization:
  name: "Authentication and Authorization"
  stage: manage
  alt_link: https://docs.gitlab.com/ee/administration/auth/
  documentation: https://docs.gitlab.com/ee/administration/auth/
  description: "GitLab features multiple auth mechanisms including LDAP (including Active Directory), OmniAuth, CAS, SAML, Okta, and Authentiq."
  roi: true
  available: 2017-10-01
  viable:
  complete: 2019-12-22
  lovable:

internationalization:
  name: "Internationalization"
  stage: manage
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/650
  documentation: https://docs.gitlab.com/ee/development/i18n/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/650
  description: ""
  # available: # not "available" as a capability for customers
  roi: false

code_analytics:
  name: "Code Analytics"
  stage: manage
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/368
  vision: https://gitlab.com/groups/gitlab-org/-/epics/368
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

workflow_policies:
  name: "Workflow Policies"
  stage: manage
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/366
  vision: https://gitlab.com/groups/gitlab-org/-/epics/366
  description: ""
  roi: false
  available: 2019-09-22
  viable:
  complete: 2019-12-22
  lovable:

# reporting_analytics:
#   name: "Reporting and Analytics"
#   stage: manage
#   description: "Manage the software value stream process to identify and remove friction."
#   link: https://gitlab.com/users/sign_in
#   link_description: "Sign up for GitLab.com"
#   body:  |
#     ## Manage and optimize your value stream

#     Leverage the data from your delivery process to streamline and accelerate business innovation.

#     ### Value stream management

#     * The value streams help you visualize and manage the flow of new innovation from idea to customers.
#     * Drive continuous improvement based on the data from your value stream.
#     * Identify and remove constraints and bottlenecks that create friction.

#     ### Cycle Analytics

#     *  Monitor and measure the end process / cycle time for lifecycle stages
#     *  Improve and accelerate delivery.

#     ### Compliance and auditing

#     *  Produce reports and documentation to support audits
#     *  Improve overall project compliance and visiblity

# Plan

project_management:
  name: "Project Management"
  stage: plan
  marketing_page: /solutions/agile-delivery/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/666
  description: "Plan, organize, and track project progress with issues, kanban boards, labels, weights (story points), milestones (sprints and releases), time tracking, due dates, and assignees, using Scrum, Kanban, SAFe, and other methodologies."
  roi: true
  available: 2017-01-01
  viable:
  complete: 2019-05-22
  lovable: 2019-12-22
  body: |
      # Plan and manage projects
      GitLab enables lean and agile project management from basic issue tracking to scrum and kanban style project management.  Whether simply tracking a few issues, to managing the complete DevOps lifecycle, GitLab has you covered.

      ### Manage and track issues

      | ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾<br> ● Collaborate and define specific business needs. <br> <br> ● Track effort, size, complexity, and priority of resolution. <br> <br> ● Eliminate silos and enable cross-functional engagement. | ![Sprint Burndown chart](https://docs.gitlab.com/ee/user/project/milestones/img/burndown_chart.png) |

      ### Visualize work with issue boards

      | ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾<br> ● Visualize the status of work across the lifecycle. <br> <br> ● Manage, assign and track the flow of work.  <br> <br> ● Enable Kanban and Scrum styles of agile delivery.  | ![Scrum Board](https://docs.gitlab.com/ee/user/project/img/group_issue_board.png)  |

      ### Maintain traceability through the DevOps Pipeline

      ![GitLab CI/CD Pipeline](https://docs.gitlab.com/ee/ci/img/pipelines.png)

       ●  Link issues with actual code change needed to resolve issues.  <br> <br> ● Visualize and track the status of builds, testing, security scans, and delivery.  <br> <br> ● Enable entire team to share a common understanding of status.


      <center><a href="/sales" class="btn cta-btn orange">Contact sales to learn more</a></center>
      -----

      Want to know more about how Gitlab can accelerate your adoption of agile software delivery practices?  **Keep reading**.
      <br><br>

      # GitLab project management

      ## Track and manage issues

      GitLab delivers a flexible and powerful issue tracker that scales from small teams to large complex organizations. GitLab project management makes it easy to capture issues, collaborate on the details, and then prioritize and deliver business results.

      | Capture [issues/user stories](https://docs.gitlab.com/ee/user/project/issues/index.html) in GitLab's robust issue tracker. Assign ownership, weight, priority, and then collaborate to refine and define the specific user story details. GitLab maintains strong traceabiltiy to execution, connecting your **issues/user stories** to the actual design and development through [merge requests](https://docs.gitlab.com/ee/user/project/merge_requests/index.html) where developers collaborate to implement and deliver the actual code changes, | ![User Story / Issue](https://docs.gitlab.com/ee/user/project/issues/img/issues_main_view.png){: .image-width90pct }  ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |
      | Organize, sort and manage related issues with [labels](https://docs.gitlab.com/ee/user/project/labels.html) allowing you to create views and representations of the backlog to help plan, prioritize and align your team to the business needs.  | ![Labels](https://docs.gitlab.com/ee/user/project/img/labels_project_list_search.png) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |
      | Efficiently add labels when and where needed to organize and categorize your issues to meet your reporting and tracking needs.  |      ![Add Labels](https://docs.gitlab.com/ee/user/project/img/new_label_from_sidebar.gif) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |

      ## Issue boards to visualize work
      Boards in GitLab are a flexible and powerful tool that makes it easy to visualize the work as it flows through the project from your backlog through development, testing and delivery.

      | [GitLab issue boards](https://docs.gitlab.com/ee/user/project/issue_board.html) are flexible, making easy to define the columns that match your workflow, such as *Backlog*, *In progress*, *Completed*, and *Accepted*.  The total 'weight' of the issues is summarized for each column, so you can estimate team capacity to accommodate the workload. When an issue is *done* simply move it to the next step. | ![Scrum Board](https://docs.gitlab.com/ee/user/project/img/group_issue_board.png) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |
      | Issue boards are also make it easy to assign work to specific teams or team members so you can visualize where the work is at from a team perspective.  |![Issue Baord - Team Assignments](https://docs.gitlab.com/ee/user/project/img/issue_boards_core.png) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |

      ## Agile project management

      | **Manage Sprints**: GitLab's milestones and burndown charts enable teams to establish time-boxed work intervals and then focus on delivery and velocity. The team simply assigns milestones a start date and a due date to capture the time period of the sprint. The team then pulls issues into that sprint by assigning them to that particular milestone. | ![Sprint Burndown chart](https://docs.gitlab.com/ee/user/project/milestones/img/burndown_chart.png) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |
      | **Track your Backlog**: In GitLab, dynamically generated issue lists can be viewed to track backlogs. Labels are created and assigned to individual issues, which then enables filtering of issue lists by a single label or multiple labels. Labels can also be prioritized to assist in ordering the issues in those lists. | ![Issue Backlog List](https://docs.gitlab.com/ee/user/project/issues/img/project_issues_list_view.png) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |

      ## DevOps pipeline traceability

      Enable traceabiltiy from user stories(issues) to the actual development and delivery with GitLab [merge requests](https://docs.gitlab.com/ee/user/project/merge_requests/index.html).

      | The merge request establishes traceabitity from the issue to the code changes and is the central hub where development teams collaborate on the design and actual implementation of the code.  This is where code reviews, discussions and security testing comes together to help make developers more productive and efficient.  The [**review app**](https://docs.gitlab.com/ee/ci/review_apps/index.html) is a powerful feature in the merge request, deploying an isolated copy of the application changes for testing and immediate review. |  ![Review App](https://docs.gitlab.com/ee/ci/review_apps/img/review_apps_preview_in_mr.png) |
      | Traceability to the **DevOps pipeline** is maintained in GitLab through the [merge requests](https://docs.gitlab.com/ee/user/project/merge_requests/index.html), where anyone on the team can track status of development, testing and delivery. | ![GitLab CI/CD Pipeline](https://docs.gitlab.com/ee/ci/img/pipelines.png) ‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾‾ |

      <center><a href="/sales" class="btn cta-btn orange">Contact sales to learn about GitLab Agile</a></center>

agile_portfolio_management:
  name: "Agile Portfolio Management"
  stage: plan
  marketing_page: /product/agile-portfolio-management/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/667
  description: "Plan and manage strategic portfolios, programs, and projects with multi-level work breakdown epics, roadmaps, and milestones."
  roi: false
  available: 2018-01-01
  viable:
  complete: 2019-12-22
  lovable:
  body: |
    ## Plan and manage the interaction between multiple projects

    ### Strategic Alignment

    * Prioritize epics to ensure alignment.
    * Identify cross-project relationships.
    * Track status and delivery.

    ### Optimize flow

    * Capture end to end value stream metrics.
    * Identify and resolve obstacles to delivery.
    * Accelerate project delivery to meet business demand.

    ### Manage portfolio delivery

    * Plan delivery with clear milestones and roadmaps.
    * Communicate status and future changes.
    * Manage capacity and resources.

kanban_boards:
  name: "Kanban Boards"
  stage: plan
  marketing_page: /product/issueboard/
  documentation: https://docs.gitlab.com/ee/user/project/issue_board.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/665
  description: "Visually prioritize, manage, and track work execution with powerful and flexible kanban boards."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-05-22
  lovable: 2019-12-22
  body: |
      ## Visualize and manage work

      ### Manage backlog and team WIP

      * Collaboratively track the flow of work.
      * Priortize backlog and manage overall work in progress (WIP).
      * Eliminate silos and enable cross-functional sharing.

      ### Flexible Boards

      * Visualize the status of work across the lifecycle.
      * Manage, assign and track the flow of work.
      * Tailor board layout to match your workflow.

value_stream_management:
  name: "Value Stream Management"
  stage: plan
  alt_link: /solutions/value-stream-management/
  marketing_page: /solutions/value-stream-management/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/668
  description: "Visualize, manage and optimize the flow of work through the DevOps lifecycle value stream."
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable: 2019-12-22

quality_management:
  name: "Quality Management"
  stage: plan
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/671
  vision: https://gitlab.com/groups/gitlab-org/-/epics/671
  description: "Plan and track testing and quality of your product."
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

requirements_management:
  name: "Requirements Management"
  stage: plan
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/670
  vision: https://gitlab.com/groups/gitlab-org/-/epics/670
  description: "Gather and manage the use cases and requirements to meet business objectives."
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:
  
service_desk:
  name: "Service Desk"
  stage: plan
  alt_link: /product/service-desk/
  documentation: https://docs.gitlab.com/ee/user/project/service_desk.html
  marketing_page: /product/service-desk/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/669
  description: "Connect your team using GitLab issues, to external parties directly via email for feedback and support, with no additional tools required."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-12-22
  lovable:
  
# Create

source_code_management:
  name: "Source Code Management"
  stage: create
  marketing_page: /product/source_code_management/
  documentation: https://docs.gitlab.com/ee/user/project/repository/
  description: "Enable coordination, sharing and collaboration across the entire software development team. Track and merge branches, audit changes and enable concurrent work, to accelerate software delivery."
  link: https://gitlab.com/users/sign_in
  link_description: "Sign up for GitLab.com"
  roi: true
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable: 2017-01-01
  body: |
    ## Development team sharing and collaboration

    GitLab enables your development team to share, collaborate and maximize their productivity with world class source code management.   Leveraging the industry-leading, open source, distributed version control system Git, GitLab makes your developers more efficient, effective and responsive.    As part of the complete DevOps lifecycle, source code management is critical that there is a single source of truth for teams manage their work.

    ### Collaborate

    <table style="width:100%; border:0px">
    <tr>
      <td style="width:50%">
      <ul>
      <li>Review, comment, and improve each other’s code. </li>
      <li>Share code, enable re-use and ‘innersourcing’.</li>
      <li>File locking prevents conflicts.</li>
      <li>Robust WebIDE accelerates development on any platform.</li>
      </ul></td>
      <td rowspan="4"><img src="/images/feature_page/screenshots/56-web-ide.png"></td>
    </tr>
    </table>

    ### Accelerate
    <table style="width:100%; border:0px">
    <tr>
      <td style="width:50%">
      <ul>
      <li>Git based repository, enabling developers to work from their local copy of the code.</li>
      <li>Branch code, make changes and then quickly merge code.</li>
      <li>Built-in Continuous Integration (CI) and Continuous Delivery (CD) streamlines testing and delivery.</li>
      </ul></td>
      <td rowspan="4"><img src="/images/feature_page/screenshots/18-repo-graph.png"></td>
    </tr>
    </table>

    ### Compliant and Secure
    <table style="width:100%; border:0px">
    <tr>
      <td style="width:50%">
      <ul>
      <li>Review, track and approve code changes with powerful merge requests.</li>
      <li>Automatically scan for code quality and security with every commit.</li>
      <li>Simplify auditing and compliance with granular access controls and reporting.</li>
      </ul></td>
      <td rowspan="4"><img src="/images/feature_page/screenshots/46-mr-approvals.png"></td>
    </tr>
    </table>

    * Want to know where we're headed? [Learn about the future of Source Code Management](/2018/09/21/create-vision/)

code_review:
  name: "Code Review"
  stage: create
  marketing_page: /product/code_review
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/
  description: "Review code, discuss changes, share knowledge, and identify defects in code among distributed teams via asynchronous review and commenting. Automate, track and report code reviews."
  link: https://gitlab.com/users/sign_in
  link_description: "Sign up for GitLab.com"
  roi: true
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable: 2019-05-22
  body: |
    ## Streamline code review and approvals

    Enable your development team to collaborate, review and improve their code.

    ### Collaborate

    * Review, comment, and improve each other’s code.
    * Approval workflow enables reviewing and approving changes.
    * Inline comments enable asynchronous review and feedback.

wiki:
  name: "Wiki"
  stage: create
  alt_link: https://docs.gitlab.com/ee/user/project/wiki/
  documentation: https://docs.gitlab.com/ee/user/project/wiki/
  description: "Share documentation and organization information with a built in wiki."
  roi: false
  available: 2017-10-15
  viable:
  complete: 2017-10-15
  lovable:

snippets:
  name: "Snippets"
  stage: create
  alt_link: https://docs.gitlab.com/ee/user/snippets.html
  documentation: https://docs.gitlab.com/ee/user/snippets.html
  description: "Store and share bits of code and text with other users."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable:

web_ide:
  name: "Web IDE"
  stage: create
  alt_link: https://docs.gitlab.com/ee//user/project/web_ide/index.html
  documentation: https://docs.gitlab.com/ee//user/project/web_ide/index.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/170
  description: "A full featured integrated development environment built into GitLab so you can start contributing on day one with no need to spend days getting all the right packages installed into your local dev environment."
  roi: true
  available: 2018-01-01
  viable:
  complete: 2019-05-22
  lovable: 2019-12-22

design_management:
  name: "Design Management"
  stage: create
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/370
  vision: https://gitlab.com/groups/gitlab-org/-/epics/370
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

live_coding:
  name: "Live Coding"
  stage: create
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/198
  vision: https://gitlab.com/groups/gitlab-org/-/epics/198
  description: ""
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

# Verify

continuous_integration:
  name: "Continuous Integration (CI)"
  stage: verify
  alt_link: /product/continuous-integration/
  marketing_page: /product/continuous-integration/
  documentation: https://docs.gitlab.com/ee/ci/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/509
  description: "Gain the confidence to ship at blistering speed and immense scale with automated builds, testing, and out-of-the-box security to verify each commit moves you forward."
  roi: true
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable: 2017-01-01
  # body: |
  #   ![GitLab CI/CD](/images/ci/ci-cd-test-deploy-illustration_2x.png)
  #
  #   ## Simple to use
  #
  #     - GitLab CI comes built-in to GitLab's single DevOps application for a seamless epxerience.
  #     - Developers can self-service and easily collaborate with QA teams by working from verionable, configuration YAMl file.
  #     - CI results appear together with code and comments in single place so you get one conversation thread with visibility into all the info you need to review, troubleshoot, and improve faster.
  #     - Seemless experience together with [GitLab CD release automation](/product/cd).
  #
  #   ## Rated #1 in the Forrester CI Wave™
  #
  #   ![Forrester CI Wave](/images/home/forrester-ci-wave-graphic.svg)
  #
  #   “GitLab supports development teams with a well-documented installation and configuration processes, an easy-to-follow UI, and a flexible per-seat pricing model that supports self service. GitLab’s vision is to serve enterprise-scale, integrated software development teams that want to spend more time writing code and less time maintaining their tool chain.” - Forrester CI Wave™
  #
  #   [Learn more](/resources/forrester-wave-ci-2017/){: .btn .cta-btn .accent}
  #
  #   ## Powerful capabilities
  #
  #     - **Multi-platform**: Execute builds on Unix, Windows, macOS, and any other platform that supports Go.
  #     - **Multi-language**: Build scripts are command line driven and work with Java, PHP, Ruby, C, and any other language.
  #     - **Stable**: Builds run on a different machine than GitLab.
  #     - **Parallel builds**: GitLab CI/CD splits builds over multiple machines, for fast execution.
  #     - **Realtime logging**: A link in the merge request takes you to the current build log that updates dynamically.
  #     - **Versioned tests**: A [.gitlab-ci.yml](https://docs.gitlab.com/ee/ci/yaml/) file that contains your tests, allowing everyone to contribute changes and ensuring every branch gets the tests it needs.
  #     - **Pipeline**: Define multiple jobs per stage and you can [trigger other builds](https://docs.gitlab.com/ee/ci/triggers/).
  #     - **Autoscaling**: [Automatically spin up and down VM's](/2016/03/29/gitlab-runner-1-1-released/) to make sure your builds get processed immediately and minimize costs.
  #     - **Build artifacts**: Upload binaries and other build artifacts to GitLab and browse and download them.
  #     - **Test locally**: [Multiple executors](https://docs.gitlab.com/runner/executors/) let you [reproduce tests locally](https://gitlab.com/gitlab-org/gitlab-runner/issues/312).
  #     - **Docker support**: Use custom Docker images, spin up [services](https://docs.gitlab.com/ee/ci/services/) as part of testing, [build new Docker images](https://docs.gitlab.com/ee/ci/docker/using_docker_build.html), even run on [Kubernetes](/solutions/kubernetes/).
  #
  #   ## More information
  #
  #     - Read how to use GitLab CI in the [GitLab CI/CD documenation](https://docs.gitlab.com/ee/ci/)
  #     - View a [demo of GitLab CI/CD](https://www.youtube.com/watch?v=1iXFbchozdY)
  #     - [HumanGeo switched from Jenkins to GitLab and cut costs by 1/3](/2017/11/14/humangeo-switches-jenkins-gitlab-ci/)
  #     - [Ticketmaster sped up build times by 15x with GitLab CI](/2017/06/07/continous-integration-ticketmaster/)
  #     - View a step-by-step guide to [migrate from Jenkins to GitLab](https://www.youtube.com/watch?v=RlEVGOpYF5Y)
  #     - [Autoscale GitLab CI runners and save 90% on EC2 costs](/2017/11/23/autoscale-ci-runners/)

code_quality:
  name: "Code Quality"
  alt_link: https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/512
  stage: verify
  description: "Automatically analyze your source code to surface issues and see if quality is improving or getting worse with the latest commit."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-05-22
  lovable:

performance_testing:
  name: "Performance Testing"
  stage: verify
  alt_link: https://docs.gitlab.com/ee/user/project/merge_requests/browser_performance_testing.html
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/browser_performance_testing.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/514
  description: "Be confident in the performance of your changes by ensuring that they are validated against real world load scenarios."
  roi: false
  available: 2018-01-01
  viable:
  complete: 2019-05-22
  lovable:

system_testing:
  name: "System Testing"
  stage: verify
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/488
  vision: https://gitlab.com/groups/gitlab-org/-/epics/488
  description: "Modern software is often delivered as a collection of (micro)services to multiple clouds, rather than a single monolith to your own data center. Validating complex interactions to ensure reliability of the system as a whole is more important than ever."
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

usability_testing:
  name: "Usability Testing"
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/490
  vision: https://gitlab.com/groups/gitlab-org/-/epics/490
  stage: verify
  description: "Testing to ensure usability flows work and are actually understandable and valuable to your users."
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

accessibility_testing:
  name: "Accessibility Testing"
  stage: verify
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/546
  vision: https://gitlab.com/groups/gitlab-org/-/epics/546
  description: "Beyond being a compliance requirement in many cases, accessibility testing is the right thing to do."
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

compatibility_testing:
  name: "Compatibility Testing"
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/513
  vision: https://gitlab.com/groups/gitlab-org/-/epics/513
  stage: verify
  description: "Compatibility testing is a broad discipline and includes things such as hardware testing for software that runs on different devices, as well as multi-cloud compatibility testing which is becoming more and more important in a cloud-based world where you don't want all your eggs in one basket."
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

# package

container_registry:
  name: "Container Registry"
  stage: package
  alt_link: https://docs.gitlab.com/ee/user/project/container_registry.html
  documentation: https://docs.gitlab.com/ee/user/project/container_registry.html
  description: |
    GitLab Container Registry is a secure and private registry for Docker images. 
    Built on open source software, GitLab Container Registry isn't just a standalone 
    registry; it's completely integrated with GitLab.  Easily use your images for 
    GitLab CI, create images specific for tags or branches and much more.
  roi: true
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable:

maven_repository:
  name: "Maven Repository"
  stage: package
  alt_link: https://docs.gitlab.com/ee/user/project/packages/maven.html
  documentation: https://docs.gitlab.com/ee/user/project/packages/maven_repository.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/437
  description: |
    An easy to use, integration of a package management tool, like Maven for Java 
    developers, provide a standardized way to share and version control these types 
    libraries across projects.
  roi: false
  available: 2018-01-01
  viable:
  complete: 2019-05-22
  lovable:

npm_registry:
  name: "NPM Registry"
  stage: package
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/186
  vision: https://gitlab.com/groups/gitlab-org/-/epics/186
  description: ""
  roi: false
  available: 2018-12-22
  viable:
  complete: 2019-12-22
  lovable:

rubygem_registry:
  name: "Rubygem Registry"
  stage: package
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/455
  vision: https://gitlab.com/groups/gitlab-org/-/epics/455
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

linux_package_registry:
  name: "Linux Package Registry"
  stage: package
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/185
  vision: https://gitlab.com/groups/gitlab-org/-/epics/185
  description: ""
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

helm_chart_registry:
  name: "Helm Chart Registry"
  stage: package
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/477
  vision: https://gitlab.com/groups/gitlab-org/-/epics/477
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

dependency_proxy:
  name: "Dependency Proxy"
  stage: package
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/486
  vision: https://gitlab.com/groups/gitlab-org/-/epics/486
  description: |
    Securing external dependency availability by having GitLab serve as a caching proxy 
    for when original sources become temporarily unavailable, for security reasons, 
    or when access to original sources is blocked.
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

# Secure

# application_security_testing:
#   name: "Application Security Testing"
#   stage: secure
#   description: "As part of Concurrent Devops, GitLab offers powerful security tools out of the box including static and dynamic application security testing, container and open source dependency scanning and license management. Test every merge request for security vulnerabilities so you can find mistakes earlier when they are less costly to resolve."
#   link: https://gitlab.com/users/sign_in
#   link_description: "Sign up for GitLab.com"
#   body: |
#     ## Fundamentally different

#     * Security issues reported directly in Pipelines and Merge Requests.
#     * One license cost for integrated security.
#     * Zero context switching to proactively secure applications.

#     ### Static Application Security Testing

#     * Performs static analysis on application source code and binaries.
#     * Spots potential vulnerabilities before deployment.
#     * Uses open source (defined on right) tools that are installed as part of GitLab.
#     * Vulnerabilities shown in-line with merge request.
#     * Results collected and presented as a single report.

#     ### Dependency scanning

#     * Analyzes external dependencies (e.g. libraries like Ruby gems).
#     * Shows vulnerable dependencies needing updating.
#     * Relies on open source tools and on the integration with Gemnasium technology (now part of GitLab).
#     * Vulnerabilities shown in-line with merge request.
#     * Results collected and available as a single report.

#     ### Container scanning

#     * Performs static analysis on Docker images to spot possible vulnerabilities in the application environment.
#     * Analyzes image contents against public vulnerability databases.
#     * Uses open source tool Clair that is able to scan any kind of Docker (or Appc) image.
#     * Vulnerabilities shown in-line with merge request.

#     ### Dynamic Application Security Testing

#     * Analyzes your running web application for known runtime vulnerabilities.
#     * Runs live attacks against a Review App* of the application.
#     * Users can provide HTTP credentials to test private areas.
#     * Current implementation uses open source tool ZAProxy, modified to add authentication capabilities.
#     * Vulnerabilities shown in-line with merge request.

#     ### [License Management](/product/license-management)

static_application_security_testing:
  name: "SAST"
  stage: secure
  alt_link: https://docs.gitlab.com/ee/user/project/merge_requests/sast.html
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/sast.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/527
  description: "Static Application Security Testing scans the application source code and binaries to spot potential vulnerabilities before deployment using open source tools that are installed as part of GitLab. Vulnerabilities are shown in-line with every merge request and results are collected and presented as a single report."
  roi: true
  available: 2018-01-01
  complete: 2019-05-22
  lovable: 2019-12-22

dynamic_application_security_testing:
  name: "DAST"
  stage: secure
  alt_link: https://docs.gitlab.com/ee/user/project/merge_requests/dast.html
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/dast.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/528
  description: "Dynamic Application Security Testing analyzes your running web application for known runtime vulnerabilities. It runs live attacks against a *Review App*, created for every merge request as part of the GitLab's CI/CD capabilities. Users can provide HTTP credentials to test private areas. Vulnerabilities are shown in-line with every merge request."
  roi: true
  available: 2018-01-01
  complete: 2019-12-22
  lovable: 2019-12-22

dependency_scanning:
  name: "Dependency Scanning"
  stage: secure
  alt_link: https://docs.gitlab.com/ee/user/project/merge_requests/dependency_scanning.html
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/dependency_scanning.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/529
  description: "Analyze external dependencies (e.g. libraries like Ruby gems) for known vulnerabilities on each code commit with GitLab CI/CD. This scan relies on open source tools and on the integration with Gemnasium technology (now part of GitLab) to show, in-line with every merge request, vulnerable dependencies needing updating. Results are collected and available as a single report."
  roi: true
  available: 2018-01-01
  complete: 2019-12-22
  lovable: 2019-12-22

container_scanning:
  name: "Container Scanning"
  stage: secure
  alt_link: https://docs.gitlab.com/ee/ci/examples/container_scanning.html
  documentation: https://docs.gitlab.com/ee/ci/examples/container_scanning.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/530
  description: "Check Docker images for known vulnerabilities in the application environment. Analyze image contents against public vulnerability databases using the open source tool, Clair, that is able to scan any kind of Docker (or App) image. Vulnerabilities are shown in-line with every merge request."
  roi: true
  available: 2018-01-01
  complete: 2019-05-22
  lovable: 2019-12-22

license_management:
  name: "License Management"
  stage: secure
  alt_link: https://docs.gitlab.com/ee/user/project/merge_requests/license_management.html
  documentation: https://docs.gitlab.com/ee/user/project/merge_requests/license_management.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/531
  description: "Upon code commit, project dependencies are searched for approved and blacklisted licenses defined by custom policies per project. Software licenses being used are identified if they are not within policy. This scan relies on an open source tool, LicenseFinder and license analysis results are shown in-line for every merge request for immediate resolution."
  roi: false
  available: 2018-01-01
  complete: 2019-12-22
  lovable: 2019-12-22

secret_detection:
  name: "Secret Detection"
  stage: secure
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/675
  vision: https://gitlab.com/groups/gitlab-org/-/epics/675
  description: "Check for credentials and secrets in commits"
  roi: false
  available: 2019-12-22
  viable: 2019-12-22
  complete: 2019-12-22
  lovable:

interactive_application_security_testing:
  name: "IAST"
  stage: secure
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/344
  vision: https://gitlab.com/groups/gitlab-org/-/epics/344
  documentation:
  description: "Interactive application security testing"
  roi: false
  available: 2019-12-22
  complete:
  lovable:

fuzzing:
  name: "Fuzzing"
  stage: secure
  alt_link: https://gitlab.com/gitlab-org/gitlab-ee/issues/8453
  vision: https://gitlab.com/gitlab-org/gitlab-ee/issues/8453
  documentation:
  description: "Fuzzy testing increase chances to get results by using arbitrary payloads instead of well-known ones."
  roi: false
  available: 2019-12-22
  complete:
  lovable:

# release

continuous_delivery:
  name: "Continuous Delivery (CD)"
  alt_link: /product/continuous-delivery/
  marketing_page: /product/continuous-delivery/
  documentation: https://docs.gitlab.com/ee/ci/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/494
  stage: release
  description: "Code changes are automatically built, tested, and prepared for a release to a testing environment and/or a production environment after the build stage. Deploy to production many times daily with Continuous Integration, Continuous Delivery, and Continuous Deployment all in the same interface."
  roi: true
  available: 2017-01-01
  viable: 2017-01-01
  complete: 2017-01-01
  lovable: 2019-12-22

release_orchestration:
  name: "Release Orchestration"
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/491
  vision: https://gitlab.com/groups/gitlab-org/-/epics/491
  stage: release
  description: "Management and orchestration of releases-as-code that supports intelligent notifications, scheduling of delivery and shared resources, blackout periods, relationships, parallelization, and sequencing, as well as support for integrating manual processes and interventions."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2019-05-22
  lovable:

pages:
  name: "Pages"
  stage: release
  alt_link: /product/pages/
  marketing_page: /product/pages/
  documentation: https://docs.gitlab.com/ee/user/project/pages/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/493
  description: "Use any static site generator to create websites that are easily managed and deployed by GitLab."
  roi: false
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable: 2019-12-22

review_apps:
  name: "Review apps"
  stage: release
  alt_link: /product/review-apps/
  marketing_page: /product/review-apps/
  documentation: https://docs.gitlab.com/ee/ci/review_apps/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/495
  description: "Get a full production like environment for every merge request that updates on each commit. See code running and enable user acceptance testing before you merge."
  roi: true
  available: 2017-01-01
  viable:
  complete: 2017-01-01
  lovable: 2019-12-22

incremental_rollout:
  name: "Incremental Rollout"
  stage: release
  alt_link: https://docs.gitlab.com/ee/topics/autodevops/index.html#incremental-rollout-to-production-premium
  documentation: https://docs.gitlab.com/ee/topics/autodevops/index.html#incremental-rollout-to-production-premium
  vision: https://gitlab.com/groups/gitlab-org/-/epics/494
  description: "Mitigate the risk of production deploys by deploying new production code to small subset of your fleet and then incrementally adding more."
  roi: false
  available: 2018-05-22
  viable:
  complete: 2019-12-22
  lovable:

feature_flags:
  name: "Feature Flags"
  stage: release
  alt_link: https://docs.gitlab.com/ee/user/project/operations/feature_flags.html
  documentation: https://docs.gitlab.com/ee/user/project/operations/feature_flags.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/492
  description: "Feature flags enable teams to achieve CD by letting them deploy dark features to production as smaller batches for controlled testing, separating feature delivery from customer launch, and removing risk from the pipeline."
  roi: false
  available: 2018-10-22
  viable:
  complete: 2019-05-22
  lovable:

binary_authorization:
  name: "Binary Authorization"
  stage: release
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/341
  vision: https://gitlab.com/groups/gitlab-org/-/epics/341
  description: "Binary Authorization is a deploy-time security control that ensures only trusted container images are deployed on Kubernetes Engine."
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

# Configure

auto_devops:
  name: "Auto DevOps"
  stage: configure
  alt_link: /product/auto-devops/
  marketing_page: /product/auto-devops/
  documentation: https://docs.gitlab.com/ee/topics/autodevops/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/352
  description: "Commit your code and GitLab does the rest to build, test, deploy, and monitor automatically. Eliminate the complexities of getting going with automated software delivery by automatically setting up the pipeline and necessary integrations, freeing up your teams to focus on the culture part."
  roi: true
  available: 2017-09-22
  viable:
  complete: 2019-05-22
  lovable: 2019-12-22

kubernetes_configuration:
  name: "Kubernetes Configuration"
  stage: configure
  alt_link: /solutions/kubernetes/
  marketing_page: /solutions/kubernetes/
  documentation: https://docs.gitlab.com/ee/user/project/clusters/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/115
  description: "Create Kubernetes cluster with a few clicks and install applications into your cluster with just a click."
  roi: true
  available: 2018-01-01
  viable:
  complete: 2019-05-22
  lovable:

chatops:
  name: "ChatOps"
  stage: configure
  alt_link: https://docs.gitlab.com/ee/ci/chatops/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/591
  documentation: https://docs.gitlab.com/ee/ci/chatops/
  description: "Tight integrations with Slack and Mattermost make it easy to manage and automate software development and delivery right from your chat app."
  roi: false
  available: 2018-01-01
  viable:
  complete: 2019-12-22
  lovable:

runbook_configuration:
  name: "Runbook Configuration"
  stage: configure
  alt_link: https://docs.gitlab.com/ee/user/project/clusters/runbooks/
  documentation: https://docs.gitlab.com/ee/user/project/clusters/runbooks/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/380
  description: "Runbooks are a collection of documented procedures that explain how to carry out a particular process, be it starting, stopping, debugging, or troubleshooting a particular system. Executable runbooks allow operators to execute pre-written code blocks or database queries against a given environment."
  roi: false
  available: 2018-11-22
  viable:
  complete: 2019-12-22
  lovable:

serverless:
  name: "Serverless"
  stage: configure
  alt_link: /product/serverless/
  documentation: https://docs.gitlab.com/ee/user/project/clusters/serverless/
  vision: https://gitlab.com/groups/gitlab-org/-/epics/155
  description: "Run cloud-agnostic serverless workloads on Kubernestes deployed via GitLab CI/CD"
  link: https://gitlab.com/users/sign_in
  link_description: "Sign up for GitLab.com"
  roi: false
  available: 2018-12-22
  viable:
  complete: 2019-12-22
  lovable:

paas:
  name: "PaaS"
  stage: configure
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/111
  vision: https://gitlab.com/groups/gitlab-org/-/epics/111
  description: ""
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

chaos_engineering:
  name: "Chaos Engineering"
  stage: configure
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/381
  vision: https://gitlab.com/groups/gitlab-org/-/epics/381
  description: ""
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

cluster_cost_optimization:
  name: "Cluster Cost Optimization"
  stage: configure
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/503
  vision: https://gitlab.com/groups/gitlab-org/-/epics/503
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

# Monitor

metrics:
  name: "Metrics"
  alt_link: https://docs.gitlab.com/ee/user/project/integrations/prometheus.html
  documentation: https://docs.gitlab.com/ee/user/project/integrations/prometheus.html
  stage: monitor
  description: "GitLab collects and displays performance metrics for deployed apps, leveraging Prometheus. Developers can determine the impact of a merge and keep an eye on their production systems, without leaving GitLab."
  roi: true
  available: 2017-01-01
  viable:
  complete: 2019-05-22
  lovable:

logging:
  name: "Logging"
  alt_link: https://docs.gitlab.com/ee/user/project/clusters/kubernetes_pod_logs.html
  documentation: https://docs.gitlab.com/ee/user/project/clusters/kubernetes_pod_logs.html
  stage: monitor
  description: "GitLab makes it easy to view the logs of running pods in connected Kubernetes clusters. By displaying the logs directly in GitLab, developers can avoid having to manage console tools or jump to a different interface."
  roi: false
  available: 2018-01-01
  viable:
  complete: 2019-12-22
  lovable:

# apm:
#   name: "Application Performance Monitoring (APM)"
#   alt_link: https://docs.gitlab.com/ee/administration/monitoring/performance/
#   stage: monitor
#   description: "Monitor the performance and status of your applications. Measure a wide variety of statistics, visualized in graphs and dashboards."

cluster_monitoring:
  name: "Cluster Monitoring"
  stage: monitor
  alt_link: https://docs.gitlab.com/ee/user/project/clusters/#monitoring-your-kubernetes-cluster
  documentation: https://docs.gitlab.com/ee/user/project/clusters/#monitoring-your-kubernetes-cluster
  vision: https://gitlab.com/groups/gitlab-org/-/epics/140
  description: "Out-of-the-box Kubernetes cluster monitoring let you know the health of your deployment environments with traceability back to every issue and code change as part of a single application for end-to-end DevOps."
  roi: false
  available: 2018-01-01
  viable:
  complete: 2019-05-22
  lovable:

tracing:
  name: "Tracing"
  stage: monitor
  alt_link: https://docs.gitlab.com/ee/user/project/operations/tracing.html
  documentation: https://docs.gitlab.com/ee/user/project/operations/tracing.html
  vision: https://gitlab.com/groups/gitlab-org/-/epics/89
  description: "Tracing provides insight into the performance and health of a deployed application, tracking each function or microservice which handles a given request. This makes it easy to understand the end-to-end flow of a request, regardless of whether you are using a monolithic or distributed system."
  roi: false
  available: 2018-11-22
  viable:
  complete: 2019-12-22
  lovable:

error_tracking:
  name: "Error Tracking"
  stage: monitor
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/169
  vision: https://gitlab.com/groups/gitlab-org/-/epics/169
  description: ""
  roi: false
  available: 2018-12-22
  viable:
  complete: 2019-12-22
  lovable:

synthetic_monitoring:
  name: "Synthetic Monitoring"
  stage: monitor
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/168
  vision: https://gitlab.com/groups/gitlab-org/-/epics/168
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

incident_management:
  name: "Incident Management"
  stage: monitor
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/349
  vision: https://gitlab.com/groups/gitlab-org/-/epics/349
  description: ""
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-12-22
  lovable:

status_page:
  name: "Status Page"
  stage: monitor
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/208
  vision: https://gitlab.com/groups/gitlab-org/-/epics/208
  description: ""
  roi: false
  available: 2019-12-22
  viable:
  complete: 2019-12-22
  lovable:

# Defend

runtime_application_security:
  name: "Runtime Application Security"
  stage: defend
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/541
  vision: https://gitlab.com/groups/gitlab-org/-/epics/541
  description: |
    When applications are deployed to production, they are subject to real
    security threats that may lead to unauthorized access to sensitive data.
    Protection systems at runtime, like Runtime Application Self Protection
    (RASP) agents and Web Application Firewalls (WAF), actively monitor and
    block threats before they can exploit vulnerability in the target
    application.
  roi: false
  available: 2019-05-22
  viable:
  complete: 2019-05-22
  lovable:

ids_ips:
  name: "IDS/IPS"
  stage: defend
  description: |
    Intrusion detection / prevention
  roi: false
  available: 2019-12-22

honeypots:
  name: Honeypots
  stage: defend
  roi: false
  available: 2019-12-22

storage_security:
  name: "Storage security"
  stage: defend
  description:
  roi: false
  available: 2019-12-22

siem:
  name: "SIEM"
  stage: defend
  description: |
    Security information and event management
  roi: false
  available: 2019-12-22

data_loss_prevention:
  name: "Data loss prevention"
  stage: defend
  description:
  roi: false
  available: 2019-12-22

cyber_threat_hunting:
  name: "Cyber Threat Hunting"
  stage: defend
  roi: false
  available: 2019-12-22

ueba:
  name: "UEBA"
  stage: defend
  description: |
    User and Entity Behavior Analytics (UEBA)
  roi: false
  available: 2019-12-22

# Admin

omnibus:
  name: Omnibus
  stage: admin
  alt_link: https://docs.gitlab.com/omnibus/
  documentation: https://docs.gitlab.com/omnibus/
  roi: false
  available: 2017-01-01

cloud_native_installation:
  name: Cloud Native Installation
  stage: admin
  alt_link: https://docs.gitlab.com/ee/install/kubernetes/
  documentation: https://docs.gitlab.com/ee/install/kubernetes/
  roi: false
  available: 2018-01-01

license_sync:
  name: License Sync
  stage: admin
  alt_link: https://gitlab.com/groups/gitlab-org/-/epics/456
  vision: https://gitlab.com/groups/gitlab-org/-/epics/456
  roi: false
  available: 2019-12-22

license_gitlab_com:
  name: license.gitlab.com
  stage: admin
  roi: false
  available: 2017-01-01

version_gitlab_com:
  name: version.gitlab.com
  stage: admin
  roi: false
  available: 2017-01-01

customers_gitlab_com:
  name: customers.gitlab.com (Subscription portal)
  stage: admin
  roi: false
  available: 2017-01-01

usage_data:
  name: Usage data
  stage: admin
  roi: false
  available: 2017-01-01
